import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Tree } from './components/tree';
export var TreeComponent = Intact.decorate(Tree, 'k-tree');
var components = [TreeComponent];
var TreeModule = /** @class */ (function () {
    function TreeModule() {
    }
    TreeModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], TreeModule);
    return TreeModule;
}());
export { TreeModule };